Install luci into custom image (TP-Link TL-WR841ND v7)

Hello!

I've heard about the KRACK problem with WPA2. I've been using OpenWrt 15.05.1 r48532 on my router. There was no update for OpenWRT, and some forum members says people sould switch to LEDE.

Checked compatibility list, it mentions that 4mb flash and 32 mb ram might be tight. This is no problem, only thing I need is Luci which might not be included. So I've made my own image:
make image PROFILE="tl-wr841-v7" PACKAGES="luci"
There wasn't any error messages (or I didn't see any).

The question is: So now I flash the lede-ar71xx-generic-tl-wr841-v7-squashfs-factory.bin, will luci work on wired network, so I can configure the router w/o command line?

The 17.01.4 release images (which also contain the KRACK fixes) do contain luci, they're equivalent to OpenWrt release images in that way (with the webinterface running/ no need for cli to do the basic setup). Only the (development-) snapshot images don't contain luci. 4 MB flash are indeed very tight (and 32 MB RAM not really any better), but 17.01.4 should still fit with luci preinstalled (the snapshots might be closer to the limit).